Subject: Re: Rtg-bfd Digest, Vol 21, Issue 3

From: "Carlos Garcia Braschi" <[email-masked]>
Date: Mon, 19 Jun 2006 11:08:29 +0200

2006/6/15, [email-masked] <[email-masked]>:
> Date: Wed, 14 Jun 2006 11:06:56 -0500
> From: David Ward <[email-masked]>
> Subject: Re: Updated Specs
> To: Dave Katz <[email-masked]>, bfd <[email-masked]>,      David Ward
>         <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain;       charset="ISO-8859-1"
>
> All -
>
> Note that pending any edits, nits to be picked or other mods ... We will
> attempt to WG LC these drafts after Montreal (there is not going to be a WG
> meeting). So, please consider this your last chance to make comments as I
> would like LC to to be a simple procedural wait period if at all possible.
>
> We will need to update the MIB to match the new port numbers and any other
> changes as appropriate and then I will be sending out a request for
> implementation reports.
>
> -DWard
>
>
> On 6/13/06 10:57 PM, "Dave Katz" <[email-masked]> wrote:
>
> > I've just sent off updated versions of all of the Two Daves' specs
> > (base, 1hop, multihop, generic) to the Secretariat.  They should be
> > posted shortly.
> >
> > The only technical changes are fixing verbiage around asymmetric echo
> > timers in the base spec (which I missed on the last version, oops)
> > and documenting the officially assigned port number for multihop.
> >
> > I bit the bullet and moved all of the control-protocol-specific stuff
> > out of the 1hop and into the generic (which is probably misnamed, but
> > we can revisit the name when it goes to RFC so as to not generate
> > administrative headaches.)  A lot of text got shredded and glued back
> > together, so it's worth a close read.
> >

Good you bit the bullet, I find the new structure easier to understand.

Although part 8 is not normative, I'd suggest small improvements so that
it also mentions session establishment for BGP and RIP protocols, and the type
of BFD session to be used for RIP. This would mention the same points for all
non-normative references to protocols.

I'm not experienced at standard writing, but I mean something like:

for 8.2:

   BFD session establishment for EBGP is simple, as there is no
   discovery protocol, because all BGP sessions are explicitly configured.
   So BFD support for each EBGP session needs to be configured explicity,
   to be taken into account as another parameter in EBGP parameter
   negotiation beteween peers at the administrative level.

   Possibly, BGP capability negotiation could be extended to express
   BFD capability in a particular session, so that negotiation is automatic
   at the protocol level.

for 8.3

   BFD session establishment with the RIP protocol could be triggered
   by a RIP response message reception, be it solicited or unsolicited.
   Of course, it can also be statically configured.

Also, this brief mention is made for ISIS, OSPF, BGP but not RIP:

   As RIP does not have the possibility to traverse more than one hop,
   RIP routes being advised by BFD should establish a one hop
[BFD-1HOP] session.

> > Since the docs are done "early" (as in more than 12 hours prior to
> > the meeting cutoff) we will have time to revisit them once more prior
> > to Montréal, so I would appreciate it if folks would take a close
> > look at the Generic draft in particular.  If I've made any egregious
> > mistakes, I can fix them prior to the meeting and then hopefully move
> > to RFC on this stuff.
> >
> > Thanks,
> >
> > Dave'n'Dave
>
>
>
>